GET: Brands · Menu Import API
GET: Brands
GET
/dbapi/menuimport/brandsThe following resources are available:
- This GET resource returns a list of brands available for the menio user.
Request-Header
Authorizationusr={username}&pwd={password}Kontext: Menu import
The menio MenuImport API resources are listed here. Some general information about the API requests:
Authentication headers should look like: Authorization:usr={username}&pwd={password}. Where "username" and "password" are the login credentials of the menio User.
Responses are in JSON format.
URL Prelive environment:
https://myprelive.qnips.com/dbapiWhen the authentication fails, the request will be denied with the http Status Code 401 (Unauthorized).
If -for any reason- menio is not able to finalize the import process, menio will respond with a http Status Code 500 (Internal Server Error).
Originaler Blueprint-Ausschnitt
API Blueprint
### GET: Brands [GET /dbapi/menuimport/brands]
- This GET resource returns a list of brands available for the [qnips user](#refQnipsUser).
+ Request
+ Headers
Authorization: usr={username}&pwd={password}
+ Response 200 (application/json)
[
{
"Id": 1,
"Name": "Brand ABC"
},
{
"Id": 2,
"Name": "Brand XYZ"
}
]